Page MenuHomePhabricator

ms-be2022 misbehaving / error on boot
Closed, ResolvedPublic

Description

While investigating T225713 I couldn't set the power regulator from ilo ssh. Upon reboot the host came back in UEFI mode and started debian-installer over the network, which I suspect got far enough to wipe partition tables so we'll have to reinstall the host anyways.

I've rebooted and set bios mode back and "os control" for power regulator, at boot I'm seeing this error:

A search suggests upgrading firmware and resetting bios settings, https://community.hpe.com/t5/BladeSystem-Server-Blades/POST-Error-338-HPE-RESTful-API-Error-Unable-to-communicate-with/td-p/6956876

@Papaul what do you think? have you seen this before? thanks!

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 10 2019, 1:50 PM

Mentioned in SAL (#wikimedia-operations) [2019-07-10T14:42:23Z] <godog> reimage ms-be2022 - T227667

Bios upgrade went well, however the error remains, I'm reimaging the host meanwhile since we have to do that anyways

BIOS Version: P89 v2.72 (03/25/2019)
fgiunchedi assigned this task to Papaul.Jul 10 2019, 3:14 PM

I think only power drain is left, not urgent because the host is back up now, when you get a chance! thanks

Papaul triaged this task as Normal priority.Jul 12 2019, 4:55 PM
Papaul moved this task from Backlog to Hardware Failure / Troubleshoot on the ops-codfw board.
fgiunchedi moved this task from Backlog to Radar on the User-fgiunchedi board.Jul 16 2019, 10:31 AM

Mentioned in SAL (#wikimedia-operations) [2019-07-17T15:00:08Z] <godog> poweroff ms-be2022 - T227667

Papaul reassigned this task from Papaul to fgiunchedi.Jul 17 2019, 3:32 PM

Power drain, reboot the sever 3 times no more errors. @fgiunchedi please feel free to double check and resolve task.

Thanks.

fgiunchedi closed this task as Resolved.Jul 17 2019, 3:37 PM

Looks good, thanks!